"""migration 4 comments added

Revision ID: 675f37142f7d
Revises: 21e033d7dc04
Create Date: 2022-06-10 15:20:58.373246

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '675f37142f7d'
down_revision = '21e033d7dc04'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('comment',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('author_id', sa.Integer(), nullable=False),
    sa.Column('body', sa.String(length=300), nullable=True),
    sa.Column('date_created', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['author_id'], ['users.id'], name=op.f('fk_comment_author_id_users')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_comment'))
    )
    op.add_column('post', sa.Column('date_created', sa.DateTime(), nullable=True))
    op.drop_column('post', 'date_create')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('post', sa.Column('date_create', postgresql.TIMESTAMP(), autoincrement=False, nullable=True))
    op.drop_column('post', 'date_created')
    op.drop_table('comment')
    # ### end Alembic commands ###
